/*
 * threadCalls.c
 * Support for threaded ops which may block (read, write, connect, etc.).
 *
 * Copyright (c) 1996 T. J. Wilkinson & Associates, London, UK.
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * Written by Tim Wilkinson <tim@tjwassoc.demon.co.uk>, 1996.
 */

/*** CHANGELOG ***
 *
 * 29.1.1998   Teemu Ikonen    changed for new functions
 *
 */

#ifndef __threadCalls_h
#define __threadCalls_h

extern void init_tio(void);
extern void clean_tio(void);
extern int threadedFileDescriptor(int);
extern int threadedOpen(const char*, int);
extern int threadedClose( int );
extern unsigned int threadedRead(int, char*, unsigned int);
extern unsigned int threadedWrite(int, const char*, unsigned int);

#endif
